Subject: Re: [Ieprep] Re: draft-ietf-ieprep-requirements-01

From: Ken Carlberg <[email-masked]>
Date: Fri, 01 Nov 2002 10:05:49 +0000

> This was what I was principally objecting to at the Yokohama meeting:
> there seems to be an underlying assumption that the PSTN will connect to
> arbitrary other voice networks.  My own network appears to be the
> exception in that PSTN operators do in fact seem to be eager to connect to
> it and bear the costs of doing so, but in the general case, they don't
> seem to be interested in doing so.

understood.  you have stated your own case, and portions have connected 
in the UK and other countries.  but acknowledging that portions have, or 
simply that the condition can occur is not a expectation that this will
happen across the board or must occur.  we can add verbage to clarify this
in the draft.

>    > > >> We assume the presence of Service Level Agreements
>    > > > Which are a marketing, sales, and collections fiction.
>    > > He's saying the assumption is not well founded.
>    > we have used the term "business agreement" instead of SLAs in our
>    > other documents.
>
> Right.  So isn't this CLEARLY OUTSIDE THE REALM OF THE IETF?  Since when
> does the IETF standardize business agreements?

stating its existance and assuming its usage instead of unfunded
mandates (which are a BAD thing) is not standardizing business 
agreements.

>    >>>> Emergency traffic should be able to transit multiple service
>    >>>> providers.
>    > The original passage probably should have stated "labeled emergency
>    > traffic".  The traffic  itself could be diff-serv marked IP packets.
>    > Or they could be labeled application layer packets.  In either case,
>    > the user would have the expectation that the labeled traffic
>    > transits other providers as opposed to be dropped because it is
>    > unrecognized.
>
> Then the user's expectation would be unfulfilled.
> 
> You're completely missing the point.  _No_ traffic is going to transit
> multiple service providers unless the service providers are
> interconnected.  Interconnection is a physical process, not a sales
> process.

we are in total agreement with what you just stated, but that is not
the "user expectation" that was intended or inferred.  I will rewrite
the original passage.

>   > the intent of the original passage
>   > was aimed at the QoS experienced by the end-user and not necessarily
>   > that offered by the network.  for example, using lower quality/bandwidth
>   > codecs, or adding FEC -- ie, something other than standard end-to-end
>   > service.
>
> Then it doesn't belong in the document, does it?  Users are welcome to do
> whatever users do.  That doesn't constitute an expectation of service
> providers.

one thing to keep in mind.  the document is not aimed exclusively at the 
IP network layer.  if it was, then agreed, the above would not belong.

-ken

_______________________________________________
Ieprep mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ieprep